#ifndef _LINUX_MODULE_H
#define _LINUX_MODULE_H

#define __MODULE_STRING_1(x)    #x
#define __MODULE_STRING(x)      __MODULE_STRING_1(x)

#define MOD_INC_USE_COUNT       do { } while (0);
#define MOD_DEC_USE_COUNT       do { } while (0);
#define MOD_IN_USE              1

#define SET_MODULE_OWNER(some_struct) do { } while (0)

#define MODULE_PARM(var,type) const char __module_parm_##var[]                \
__attribute__((section(".modinfo"))) =          \
"parm_" __MODULE_STRING(var) "=" type

#define MODULE_AUTHOR(name)                                                \
const char __module_author[] __attribute__((section(".modinfo"))) =        \
"author=" name

#define MODULE_LICENSE(license)         \
static const char __module_license[] __attribute__((section(".modinfo"))) =   \
"license=" license

#endif
