#ifndef _I386_PAGE_H
#define _I386_PAGE_H

//#include <unistd.h>
/* PAGE_SHIFT determines the page size */
#define PAGE_SHIFT      12
#define PAGE_SIZE       (1UL << PAGE_SHIFT)
//#define PAGE_SIZE getpagesize()
#define PAGE_MASK       (~(PAGE_SIZE-1))

/*
 * These are used to make use of C type-checking..
 */
#if CONFIG_X86_PAE
typedef struct { unsigned long pte_low, pte_high; } pte_t;
typedef struct { unsigned long long pmd; } pmd_t;
typedef struct { unsigned long long pgd; } pgd_t;
#define pte_val(x)      ((x).pte_low | ((unsigned long long)(x).pte_high << 32))
#else
typedef struct { unsigned long pte_low; } pte_t;
typedef struct { unsigned long pmd; } pmd_t;
typedef struct { unsigned long pgd; } pgd_t;
#define pte_val(x)      ((x).pte_low)


#endif
#define PTE_MASK        PAGE_MASK

typedef struct { unsigned long pgprot; } pgprot_t;

#define PAGE_ALIGN(addr)	0


/*
#define __pa(x)			((unsigned long)(x)-PAGE_OFFSET)
*/
#define __pa(x)                 0


#endif
