/*
 * linux/include/linux/jbd.h
 * 
 * Written by Stephen C. Tweedie <sct@redhat.com>
 *
 * Copyright 1998-2000 Red Hat, Inc --- All Rights Reserved
 *
 * This file is part of the Linux kernel and is made available under
 * the terms of the GNU General Public License, version 2, or at your
 * option, any later version, incorporated herein by reference.
 *
 * Definitions for transaction data structures for the buffer cache
 * filesystem journaling support.
 */

#ifndef _LINUX_JBD_H
#define _LINUX_JBD_H


#ifndef BUG

#define BUG() do { \
       printk("kernel BUG at %s:%d!\n", __FILE__, __LINE__); \
       * ((char *) 0) = 0; \
} while (0)

#endif //BUG

#endif //_LINUX_JDB_H
