
#ifndef _SUNLINUX_GLOBALS


#define _SUNLINUX_GLOBALS

//#include <misc/sunlinux.h>
//#include <misc/pits_param.h>

#include <linux/blkdev.h>
#include <misc/pits_dev_inst.h>

struct pits_global_struct
{
  struct ddi_device_acc_attr sun_dev_acc_attr;
  //unsigned int regindex;
  //void *sun_state;
  dev_info_t *current_dip;
  //sun_linux_state global_state;
  unsigned int attach_count;
  int panic;
  kmutex_t global_mutex;

  unsigned int npar;
  PITS_parameter *par;

  int ** _blk_size;
  int ** _blksize_size;
  int ** _hardsect_size;
  int ** _max_readahead;
  int ** _max_sectors;
  int ** _max_segments;
  struct sec_size ** _blk_sec;
  struct blk_dev_struct *_blk_dev;
  spinlock_t _io_request_lock;
  struct gendisk *_gendisk_head;
  struct gendisk **_gendisk_array;
 
  spinlock_t *spin_lock_list;
  struct pits_dev_inst *pdi_table;

  ddi_dma_attr_t pci_dma_attr;
  ddi_dma_handle_t pci_dma_handle;
  int pci_dma_initialized;
};

/*************************************/
/*global variables                   */
/*************************************/

//struct pits_global_struct pits_globals;
/* = {
  {
    devacc_attr_version     : DDI_DEVICE_ATTR_V0,
    devacc_attr_endian_flags: DDI_NEVERSWAP_ACC,
    devacc_attr_dataorder   : DDI_STRICTORDER_ACC
  },
  0,
  NULL,
  NULL,
  0
};
*/
int init_pits_globals();
int fini_pits_globals();
struct pits_global_struct *getGlobal();



/*
static ddi_device_acc_attr_t sun_dev_acc_attr = {
  devacc_attr_version      : DDI_DEVICE_ATTR_V0,
  devacc_attr_endian_flags : DDI_NEVERSWAP_ACC,
  devacc_attr_dataorder    : DDI_STRICTORDER_ACC
};
*/
/*
static unsigned int regindex = 0;
*/


/*
dev_info_t *current_dev_info_ptr; 
*/
//static sun_linux_state global_state;

/*
static unsigned int attach_count;
*/

#define BURST1         0x01
#define BURST2         0x02
#define BURST4         0x04
#define BURST8         0x08
#define BURST16        0x10
#define BURST32        0x20
#define BURST64        0x40
#define BURSTSIZE_MASK 0x7f
#define DEFAULT_BURSTSIZE BURST16|BURST8|BURST4|BURST2|BURST1


#endif
