#ifndef _PITS_DEV_INST
#define _PITS_DEV_INST

#include <sys/types.h>
#include <sys/mkdev.h>
#include <sys/ddi.h>
#define PITS_MINORS_PER_MAJOR 50
#define PITS_MAX_MAJORS 10

struct pits_dev_inst
{
  major_t *lmajors;
  int nlmajors;
  int maxmajors;
};

int findlmajor(major_t lmajor);

int addlmajor(major_t lmajor);

int register_lmajor(major_t lmajor);
int unregister_lmajor(major_t lmajor);
major_t getlmajor(dev_t sdev);
minor_t getlminor(dev_t sdev);
major_t getsmajor(dev_t ldev);
major_t getsminor(dev_t ldev);

dev_t getldev(dev_t sdev);

int getinstance_s(dev_t sdev);
int getinstance_l(dev_t ldev);
int init_pdi_table();
int fini_pdi_table();


#endif
