/* t2a.c
 *
 * interactive write tool
 *
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>

int main(int argc, char **argv)
{
    int written, offset, received, fd;
    char buf[1024];
    char* mes;

    memset(buf, 0, 1024);
    
    fd = open ("/dev/scullpipe", O_WRONLY);

    if (fd < 0)
      {
	perror("in open");
      }

    printf("fd = %d\n", fd);
    
    for (;;)
    {
        printf("Enter string to send: ");
        fgets(buf, 1000, stdin);
	
	buf[strlen(buf)-1] = 0;	// remove newline
        
        written = write ( fd, buf, strlen(buf));
	
	if (written < 0)
	  {
	    perror("in write");
	  }


        printf("written (%d): '%s'\n", written, buf);
    }    

    close(fd);
}
