/* t1d.c
 *
 * the t1 set tests basic scull device
 *
 * - t1 writes "Hello, world!" to the device and then
 * reads it back
 *
 * - t1a tests ioctl calls
 *
 * - t1b runs t1 on all 4 scull devices
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(int argc, char **argv)
{
    int written, offset, received, fd;
    char buf[1024];
    char mes[1];
    int i,j;
    memset(buf, 0, 1024);
    
    fd = open ("/dev/short0", O_RDWR);

    printf("fd = %d\n", fd);
    
    for (i=0;i<256;i++)
      {
	mes[0] = (char)i;

	written = write(fd,mes,1);
	printf("write byte# %d : %d -> %c\n",i,(int)mes[0],(char)mes[0]);
	
	received = read(fd, buf,1);
	printf("read byte: %d -> %c\n",(int)buf[0],(char)buf[0]);

	for (j=0;j<100000000;j++) {;}

      }
    close(fd);
}
