/* t1.c
 *
 * the t1 set tests basic scull device
 *
 * - t1 writes "Hello, world!" to the device and then
 * reads it back
 *
 * - t1a tests ioctl calls
 *
 * - t1b runs t1 on all 4 scull devices
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(int argc, char **argv)
{
    int written, offset, received, fd;
    char buf[1024];
    char* mes;
    int i;
    memset(buf, 0, 1024);
    
    fd = open ("/dev/short1", O_RDWR);

    printf("fd = %d\n", fd);
    
    mes = "Hello, world.\0";

    for (i=0;i<14;i++)
      {
	written = write(fd,&mes[i],1);
	printf("write byte# %d : %d -> %c\n",i,(int)mes[i],(char)mes[i]);
	received = read(fd, buf,1);
	printf("read byte: %d -> %c\n",(int)buf[0],(char)buf[0]);

      }
    close(fd);
}
