#ifndef _ASMi386_SIGNAL_H
#define _ASMi386_SIGNAL_H

/*Include the types from sunlinux header.*/ 
/****************************************/ 
#include <misc/sunlinux.h> 
/****************************************/ 

/*  ALREADY Defined in SOLARIS
#define SIGIO           29
*/
#ifdef __KERNEL__

/*
 * These values of sa_flags are used only by the kernel as part of the
 * irq handling routines.
 *
 * SA_INTERRUPT is also used by the irq handling routines.
 * SA_SHIRQ is for shared interrupt support on PCI and EISA.
 */

#define SA_PROBE		SA_ONESHOT
#define SA_SAMPLE_RANDOM	SA_RESTART
#define SA_SHIRQ		0x04000000

#define SA_INTERRUPT            0x20000000

#endif


#endif

