#ifndef _LINUX_MODULE_H
#define _LINUX_MODULE_H

#include <misc/pits_param.h>

#define __MODULE_STRING_1(x)    #x
#define __MODULE_STRING(x)      __MODULE_STRING_1(x)

#define __MOD_INC_USE_COUNT(mod)     do { } while(0);
#define __MOD_DEC_USE_COUNT(mod)     do { } while(0);

#define MOD_INC_USE_COUNT       do { } while (0);
#define MOD_DEC_USE_COUNT       do { } while (0);
#define MOD_IN_USE              1

#define GET_USE_COUNT(module)	0


/*Hmm this will need to be looked at...*/
#define THIS_MODULE NULL

#ifdef MODULE
/* Force a module to export no symbols.  */
//#define EXPORT_NO_SYMBOLS  __asm__(".section __ksymtab\n.previous")
#define EXPORT_NO_SYMBOLS
#else
#define EXPORT_NO_SYMBOLS
#endif /* MODULE */



#define SET_MODULE_OWNER(some_struct) do { } while (0)
/*
#define MODULE_PARM(var,type) const char __module_parm_##var[]                \
__attribute__((section(".modinfo"))) =          \
"parm_" __MODULE_STRING(var) "=" type
*/


#define MODULE_PARM(var,type) void __PITS_parm_set_##var(void *pval) {PITS_set_parm(&var,type,pval);}



#define MODULE_PARM_DESC(var,type) ;

#define MODULE_AUTHOR(name)                                                \
const char __module_author[] __attribute__((section(".modinfo"))) =        \
"author=" name

#define MODULE_DESCRIPTION(desc) ;

#define MODULE_LICENSE(license)         \
static const char __module_license[] __attribute__((section(".modinfo"))) =   \
"license=" license


#define EXPORT_SYMBOL(sym) ;

#endif
