#if     !defined(_LINUX_SLAB_H)
#define _LINUX_SLAB_H

/*Include the types from sunlinux header.*/  
/****************************************/  
#include <misc/sunlinux.h>  
/****************************************/ 


//#include <linux/types.h>
//#include <linux/mm.h>

#define SLAB_KERNEL GFP_KERNEL

#define SLAB_MUST_HWCACHE_ALIGN 0x00008000UL    /* force alignment */


/* prototypes */
/*
extern void linux_linux_kmem_cache_init(void);
extern void linux_kmem_cache_sizes_init(void);

extern linux_kmem_cache_t *linux_kmem_find_general_cachep(size_t, int gfpflags);
extern linux_kmem_cache_t *linux_kmem_cache_create(const char *, size_t, size_t, unsigne\
				       d long,
                                       void (*)(void *, linux_kmem_cache_t *, unsi\
						gned long),
                                       void (*)(void *, linux_kmem_cache_t *, unsi\
						gned long));
extern int linux_kmem_cache_destroy(linux_kmem_cache_t *);
extern int linux_kmem_cache_shrink(linux_kmem_cache_t *);
extern void *linux_kmem_cache_alloc(linux_kmem_cache_t *, int);
extern void linux_kmem_cache_free(linux_kmem_cache_t *, void *);
*/

extern void kfree(const void *);
extern void *kmalloc(size_t, int);



#include <linux/mm.h>



#endif
