#ifndef _PITS_PARAM_H
#define _PITS_PARAM_H

#include <misc/sunlinux.h>
//#include <sys/ddi.h>
//#include <sys/sunddi.h>

typedef \
struct s_PITS_parameter 
{

  char* name;
  void (*set_parameter)(void *newval);
  char *linux_type;
  char type;
  int  min;
  int  max;
}PITS_parameter;

struct parameter_value
{
  void *value;
  int n;
  PITS_parameter *id;
};


//extern struct PITS_parameter pits_parameters[];
//extern int npits_parameters;

void PITS_set_parm(void *parm,char *type,void* pval);

int get_linux_parameter(void *dip,struct parameter_value *pvalue);

int set_linux_parameters(dev_info_t *dip);

int readLinuxInteger(void *dip,struct parameter_value *pvalue);
int readLinuxLong(void *dip,struct parameter_value *pvalue);
int readLinuxString(void *dip,struct parameter_value *pvalue);




#endif
