#include <linux/vmalloc.h>


/***************************************
 *vfree()                              *
 ***************************************/
void vfree(void * addr)
{
  printk("inside vfree\n");
  kfree(addr);
  printk("done vfree\n");
}

void * __vmalloc (unsigned long size, int gfp_mask, pgprot_t prot)
{
  void *ptr = NULL;
  printk("inside __vmalloc()\n");
  ptr = kmalloc(size,GFP_KERNEL);
  if (!ptr)
    {
      printk("__vmalloc: unable to allocate memory!\n");
      return NULL;
    }

  printk("done __vmalloc\n");
  return (ptr);
}
