/* write_zero.c
 *
 * the test_char_rw set tests the char portion of the linux_sd device.
 *
 * writes "Hello, world!" to the device and then
 * reads it back.
 *
 * 
 *
 * 
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/dkio.h>
#include <sys/vtoc.h>

int main(int argc, char **argv)
{
    int written, offset, received, fd;
    char buf[1024];
    char* mes;
    struct vtoc vtoc;

    memset(buf, 0, 1024);
    
    fd = open ("/dev/linux_sdr", O_RDWR);
    printf("fd = %d\n", fd);
    

    ioctl(fd,DKIOCGVTOC,&vtoc);
    


    mes = "Hello, world.";
    written = write ( fd, mes, 13);

    printf("written = %d\n", written);
    
    offset = lseek (fd, 0, SEEK_SET);

    printf("offset = %d\n", offset);
    
    received = read ( fd, buf, 1024 );

    printf("received = %d\n", received);

    printf("message = %s\n", buf);

    close(fd);
}
