/****************************/
/*pits_blkdev.c             */
/****************************/
//Linux Includes.
#include <linux/blkdev.h>

//PITS includes.
#include <misc/pits_blkdev.h>

//Global Kernel Variables.
struct sec_size *blk_sec[MAX_BLKDEV];
struct blk_dev_struct blk_dev[MAX_BLKDEV];
int * blk_size[MAX_BLKDEV];
int * blksize_size[MAX_BLKDEV];
int * hardsect_size[MAX_BLKDEV];
int * max_readahead[MAX_BLKDEV];
int * max_sectors[MAX_BLKDEV];
int * max_segments[MAX_BLKDEV];


//ll_rw_blk.c
int read_ahead[MAX_BLKDEV];


void init_pits_blkdev()
{
  int i;
  for (i=0;i<MAX_BLKDEV;i++)
    {
      blk_sec[i] = NULL;
      bzero(&(blk_dev[i]),sizeof(struct blk_dev_struct));
      blk_size[i] = NULL;
      blksize_size[i] = NULL;
      hardsect_size[i] = NULL;
      max_readahead[i] = NULL;
      max_segments[i] = NULL;
    }
}

void fini_pits_blkdev()
{
  ;
}

