/* t1b.c
 *
 * the t1 set test all four scull devices
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(int argc, char **argv)
{
    int written, offset, received, fd[4], i;
    char buf[1024];
    char* mes;
    
    memset(buf, 0, 1024);
    
    fd[0] = open ("/dev/scull0", O_RDWR);
    fd[1] = open ("/dev/scull1", O_RDWR);
    fd[2] = open ("/dev/scull2", O_RDWR);
    fd[3] = open ("/dev/scull3", O_RDWR);

    printf("fd[4] = {%d, %d, %d, %d}\n", fd[0], fd[1], fd[2], fd[3]);
    
    mes = "Hello, world!";
    for ( i=0; i<4; i++ )
    {
        written = write ( fd[i], mes, 13);
        printf("written to scull%d = %d\n", i, written);
    }

    for ( i=0; i<4; i++ )
    {
	printf("\nscull%d\n", i);
        offset = lseek (fd[i], 0, SEEK_SET);

        printf("  offset = %d\n", offset);
    
        received = read ( fd[i], buf, 1024 );

        printf("  received = %d\n", received);

        printf("  message = %s\n", buf);
    }
    for ( i=0; i<4; i++ )
        close(fd[i]);
}
